WordPress 3.1提示 “在向 API 请求时发生了一个 HTTP 错误”的解决方法

WordPress后台管理查找主题或者安装插件的时候,有时会遇到”在向 API 请求时发生了一个 HTTP 错误”。
这是因为网络连接超时引起的,或许是网络太慢。
WordPress 3.1提示 "在向 API 请求时发生了一个 HTTP 错误"的解决方法如下
修改:wp-includes/class-http.php文件中的第220行:

‘timeout’ => apply_filters( ‘http_request_timeout’, 5)

把代码里的5修改成60或者更大,这样出现错误提示的几率就会小很多。 不是每次都会出错,只是针对偶尔发生的。

用支付宝打赏用支付宝打赏 用微信打赏用微信打赏

如果文章对你有帮助,欢迎点击上方按钮打赏作者


最后编辑于:2011/3/14作者: 游子

热爱一切美好的新事物,搞网站也被网站搞,剁手折腾。关注与学习Web相关技术与UI\UE\UED\UCD\Server相关知识,服务器运维、前端、后端、非专业程序猿、非高级前端后端攻城师!

4 条评论

发表评论

电子邮件地址不会被公开。 必填项已用*标注

arrow grin ! ? cool roll eek evil razz mrgreen smile oops lol mad twisted wink idea cry shock neutral sad ???

  1. 黄驹过隙 黄驹过隙说道:
    2#

    我照文章修改了,但是还是不行,用的byethost的免费主机,是不是主机的原因呢?

    • 游子 游子说道:

      应该是免费空间的问题

  2. 陈连龙 陈连龙说道:
    1#

    O(∩_∩)O谢谢 我遇到好多次了

    • 游子 游子说道:

      偶尔遇到不是常常遇到